
Infrastructure - Task #422

Implement getSystemMetadata() method and REST service for Metacat

2010-03-25 00:22 - Matthew Jones

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

match DataONE REST service signature

involves looking up the sysmetadata doc from the Identifier, then return it calling existing handleRead() methods

write unit test for getSystemMetadata() REST service

History

#1 - 2010-04-29 16:19 - Matthew Jones

Implemented initial function for returning system metadata.  Currently hardcodes and returns a fixed document -- need to look up the appropriate

system metadata document.

#2 - 2010-05-04 00:29 - Chad Berkley

- Status changed from New to In Progress

#3 - 2010-05-11 18:41 - Chad Berkley

- Status changed from In Progress to Closed
